<img align=right height=70 src="https://bitmaelum.com/logo_and_name.svg">

[![Go Report Card](https://goreportcard.com/badge/github.com/bitmaelum/bitmaelum-suite)](https://goreportcard.com/report/github.com/bitmaelum/bitmaelum-suite)
![BitMaelum CI](https://github.com/bitmaelum/bitmaelum-suite/workflows/BitMaelum%20CI/badge.svg?branch=develop)
[![codecov](https://codecov.io/gh/bitmaelum/bitmaelum-suite/branch/develop/graph/badge.svg)](https://codecov.io/gh/bitmaelum/bitmaelum-suite)
![License](https://img.shields.io/github/license/bitmaelum/bitmaelum-suite)
![GitHub go.mod Go version](https://img.shields.io/github/go-mod/go-version/bitmaelum/bitmaelum-suite)         
[![CII Best Practices](https://bestpractices.coreinfrastructure.org/projects/4122/badge)](https://bestpractices.coreinfrastructure.org/projects/4122)
[![Gitter](https://badges.gitter.im/bitmaelum/community.svg)](https://gitter.im/bitmaelum/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)
[![Maintainability Rating](https://sonarcloud.io/api/project_badges/measure?project=bitmaelum_bitmaelum-suite&metric=sqale_rating)](https://sonarcloud.io/dashboard?id=bitmaelum_bitmaelum-suite)
         
<hr>

Image if we could redesign email without thinking about backward compatibility. What would it look like? Could we solve the problems we face nowadays like spam, email forgery, phishing emails and, maybe the most important one: privacy?

BitMaelum (old Anglo-Saxon for "bit-by-bit") is an attempt. Instead of trying to figure out how to fix email, we are building a new email system from the ground up. This way, we can design the system to solve mail problems at its core instead of trying to patch up an insecure foundation.

New to BitMaelum? Take a 5-minute tour to read [what it is about](https://github.com/bitmaelum/bitmaelum-suite/wiki/BItMaelum-in-5-minutes-or-less).

# Quickstart

To start with BitMaelum right away, check out [Quickstart guide](https://github.com/bitmaelum/bitmaelum-suite/wiki/Quickstart).

To build and test BitMaelum, check out [build document](docs/build.md).

Join us on our discourse forum: https://discourse.bitmaelum.com


# Features

BitMaelum tries to be a system that:

  - Will be designed with privacy first
  - Deal with less to no spam at all
  - Nullifies mail address harvesting (it becomes a useless effort)
  - Host your mail wherever you like
  - Move your messages to another provider without losing your mail address
  - Allows that only you can subscribe and unsubscribe from mailing lists
  - Slow connection / mobile friendly
 

For more features, please take a look at [our wiki](https://github.com/bitmaelum/bitmaelum-suite/wiki/Feature-list)

# Development

BitMaelum is highly experimental and under heavy development. Do not use it yet in any production environment. We invite early-adopters to try out the system and contribute by testing.


<hr>

![https://bitmaelum.com/logo_and_name.svg](https://bitmaelum.com/logo_and_name.svg).
